export class RenderPass {

	constructor() {

	}

    attach(device, block, pipeline) {
        this.device   = device;
        this.block    = block;
        this.pipeline = pipeline;
    }

	async create() {
	// override — create Shader, load WGSL, create local buffers
	}

	async bindBuffers() {
	// override — wire connections to other passes
	}

	async execute() {
	// override — dispatch shader
	}

	async test() {
	// override — CPU-vs-GPU correctness test
	}

	setLayerIndex(index) {
	    this.layerIndex = index;
	}

	setLayerWeightArray(array) {
	    this.layerWeightArray = array;
	}
	
}